// This script contains the following controls that can be used in dialogs: DIcon, DButton, DEdit, DSelector.
(version 2)
(include "sci.sh")
(use "Main")
(use "Controls")
(use "Obj")
(script 922)


// A button control.
(class DButton of GUIControl
    (properties
        type $0001
        state $0003
        nsTop 0
        nsLeft 0
        nsBottom 0
        nsRight 0
        key 0
        said 0			// Unused.
        value 0			// A numerical valur for the button.
        text 0
        font 0
    )

    (method (dispose param1)
        (if (text and (not paramTotal or not param1))
            Memory(memFREE (self:text))
        )
        (super:dispose())
    )


    (method (setSize)
        (var temp0[4])
        TextSize(@temp0[0] text font 0 0)
        = temp0[2] (+ temp0[2] 2)
        = temp0[3] (+ temp0[3] 2)
        = nsBottom (+ nsTop temp0[2])
        = temp0[3] (* (/ (+ temp0[3] 15) 16) 16)
        = nsRight (+ temp0[3] nsLeft)
    )

)


// A list of controls.
(class Controls of List
    (properties
        elements 0
        size 0
    )

    (method (draw)
        (self:eachElementDo(#setSize))
        (self:eachElementDo(#draw))
    )

    (method (handleEvent pEvent)
        (var temp0)
        (if ((send pEvent:claimed))
            return 0
        )
        = temp0 (self:firstTrue(#handleEvent pEvent))
        (if (temp0 and not (send ((= temp0 (self:firstTrue(#handleEvent pEvent)))):checkState(2)))
            (send temp0:doit())
            = temp0 0
        )
        return temp0
    )
)
