(version 2)
(include "sci.sh")
(exports
    0 rm100
)
(use "Main")
(use "Controls")
(use "Print")
(use "Game")
(use "Obj")
(script TITLEROOM_SCRIPT)

(instance public rm100 of Rm
    (properties
        picture 1
    )

    (method (init)
        (self:setScript(rmScript))
    )
)

(instance rmScript of Script
    (properties)

	(method (doit)
        (super:doit())
        //(send gMusic1: number(121) play())
        DrawPic(1 dpOPEN_LEFT dpCLEAR)
        Animate()
        Wait(120)
        (send gGame:setCursor(999 1))
        (Print:
        	addTitle("Welcome To The SCI VGA Demo")
        	addText("Welcome!\n\nThis program will demonstrate the basics of what SCI Companion 3 can do! SCI Companion 3 will allow almost anyone to create a VGA adventure game using Sierra On-Line's SCI Game Engine!")
        	init()
		)
		(Print:
        	addTitle("Welcome To The SCI VGA Demo")
        	addText("It is still in development (far along though), but this will give you a taste of things to come.\n\nTo create EGA adventure games using Sierra's original SCI game engine, download SCI Companion at http://sciprogramming.com/!")
        	init()
		)
	    (send gGame:setCursor(100))
		HeaderText("SCI Companion" 2 150)
        BodyText("...is Completely Free!" 0 8 172)
        Wait(180)
        (send gGame:setCursor(101))
        HeaderText("With SCI Companion..." 3 150)
        BodyText("You can create authentic Sierra On-Line games!" 0 8 172)
        Wait(240)
        (send gGame:setCursor(102))
        HeaderText("SCI Companion" 4 150)
        BodyText("Is Easy To Learn!" 0 170 158)
        BodyText("It includes an incredible amount of documentation!" 0 8 172)
        Wait(240)
        (send gGame:setCursor(103))
        HeaderText("SCI Games Are Portable!" 8 150)
        BodyText("Play your games on the PC, Mac, Amiga and more!" 0 4 172)
        Wait(240)
        (send gGame:setCursor(104))
        HeaderText("EGA & VGA" 5 130)
        BodyText("Build EGA and VGA SCI games! SCI Companion comes" 0 4 152)
        BodyText("with templates for both old and new!" 0 4 162)
        //BodyText("so you can easily convert your EGA games to VGA!" 0 4 172)
        Wait(320)
        //(send gGame:setCursor(105))
        (send gGame:setCursor(100))
        HeaderText("Point & Click" 7 150)
        BodyText("Create games with the authentic interface!" 0 4 172)
        Wait(240)
        //(send gGame:setCursor(106))
        (send gGame:setCursor(101))
        HeaderText("SCI Companion!" 6 150)
        BodyText("Is far superior to SCI Studio!" 0 4 172) //HAHAHAHAHAHA
        Wait(240)
        (send gGame:setCursor(999))
        DrawPic(1 dpOPEN_LEFT dpANIMATION_BLACKOUT)
        Animate()
        (Print:
        	addText("So, check out SCI Companion at http://sciprogramming.com/!\n\nStart building your own EGA games, and before you know it, you'll be able to make VGA ones!")
        	addButton(1 "I'll Check It Out!" 0 80)
        	init()
		)
		(Print:
			addText("SCI VGA Demo\n\nBy Kawa\n\nDecember 5th, 2015")
			addButton(1 "Play Again" 0 70)
			addButton(0 "Exit" 70 70)
		)
		(if (Print: init())
			RestartGame()
		)(else
			(send gGame:quitGame())
		 )
	)
)

(procedure (HeaderText theText thePicture theTarget)
    (var x, y, c)
    DrawPic(thePicture dpOPEN_FADEPALETTE dpCLEAR)
    = x 128
    = c 32
    = y 0
    (while (< y theTarget)
        Display(theText dsCOORD x y dsFONT 19 dsCOLOR c dsBACKGROUND -1)
        = x (- x 4)
        (if (== (% y 8) 0)
            ++c
        )
        Animate()
        Wait(2)
        = y (+ y 5)
    )
    DrawPic(thePicture dpOPEN_NO_TRANSITION dpCLEAR)
    Display(theText dsCOORD - x 1 + y 1 dsFONT 19 dsCOLOR 32 dsBACKGROUND -1)
    Display(theText dsCOORD x y dsFONT 19 dsCOLOR 36 dsBACKGROUND -1)
    Animate()
)


(procedure (BodyText theText theFont theX theY)
    Display(theText dsCOORD - theX 1 + theY 1 dsFONT theFont dsCOLOR 39 dsBACKGROUND -1)
    Display(theText dsCOORD + theX 1 - theY 1 dsFONT theFont dsCOLOR 47 dsBACKGROUND -1)
    Display(theText dsCOORD theX theY dsFONT theFont dsCOLOR 1 dsBACKGROUND -1)
    Animate()
)
